Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryServiceReadonlyEventExchanger

    java.lang.Object
      oracle.ifs.server.S_LibraryServiceRdbmsEventExchanger
          oracle.ifs.server.S_LibraryServiceReadonlyEventExchanger

    public class S_LibraryServiceReadonlyEventExchanger

extends S_LibraryServiceRdbmsEventExchanger

An S_LibraryServiceReadonlyEventExchanger is an implementation of S_LibraryServiceEventExchanger that only reads events, but does not deliver any, used for testing for nodes that generates events (usually a large volume of them) that are not of interest to other nodes.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.server.S_LibraryServiceRdbmsEventExchanger
`S_LibraryServiceRdbmsEventExchanger.EventDate, S_LibraryServiceRdbmsEventExchanger.MissingEvent`

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryServiceRdbmsEventExchanger
`m_Connection, m_DequeueStatement, m_EnqueueStatement, m_EventDates, m_EventExchangerThread, m_EventsQueuedForTransport, m_EventTransportBatchSize, m_LastProcessEventsFromOtherServicesTime, m_LastReleaseEventsQueuedForTransportTime, m_LibraryConnection, m_MaxReceivedEventId, m_MissingEvents, m_ProcessEventsFromOtherServicesPeriod, m_ReleasedEventCount, m_ReleaseEventsQueuedForTransportPeriod, m_Service, m_ServiceId, m_Started, m_StatementResetLimit`

Constructor Summary
`protected` | `S_LibraryServiceReadonlyEventExchanger()` Constructs a S_LibraryServiceReadonlyEventExchanger.

Method Summary
`void` | `postEvent(IfsEvent event)` Posts the specified event to all other services.

Methods inherited from class oracle.ifs.server.S_LibraryServiceRdbmsEventExchanger
`dispose, flush, forceRead, init, purgeEvents, start, stop, tick`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_LibraryServiceReadonlyEventExchanger

    protected S_LibraryServiceReadonlyEventExchanger()

  Constructs a S_LibraryServiceReadonlyEventExchanger.

  (Unpublished)

Method Detail

### postEvent

    public void postEvent(IfsEvent event)
                   throws IfsException

  Description copied from class: `S_LibraryServiceRdbmsEventExchanger`
  Posts the specified event to all other services.

  Overrides:
    `postEvent` in class `S_LibraryServiceRdbmsEventExchanger`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - (IFS-11011) if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD